Crashpad

Macros
gtest_death_check.h File Reference
`#include "base/logging.h"`
`#include "gtest/gtest.h"`

## Macros
#define | ASSERT_DEATH_CHECK(statement, regex) ASSERT_DEATH(statement, regex)
| Wraps the gtest `ASSERT_DEATH()` macro to make assertions about death caused by `CHECK()` failures. More...
#define | EXPECT_DEATH_CHECK(statement, regex) EXPECT_DEATH(statement, regex)
| Wraps the gtest `EXPECT_DEATH()` macro to make assertions about death caused by `CHECK()` failures. More...

## Macro Definition Documentation

## ◆ ASSERT_DEATH_CHECK

#define ASSERT_DEATH_CHECK | ( |  | statement,
|  |  | regex
| ) |  | ASSERT_DEATH(statement, regex)

Wraps the gtest `ASSERT_DEATH()` macro to make assertions about death caused by `CHECK()` failures.

In an in-Chromium build in the official configuration in Release mode, `CHECK()` does not print its condition or streamed messages. In that case, this macro uses an empty regex pattern when calling `ASSERT_DEATH()` to avoid looking for any particular output on the standard error stream. In other build configurations, the regex pattern is left intact.

## ◆ EXPECT_DEATH_CHECK

#define EXPECT_DEATH_CHECK | ( |  | statement,
|  |  | regex
| ) |  | EXPECT_DEATH(statement, regex)

Wraps the gtest `EXPECT_DEATH()` macro to make assertions about death caused by `CHECK()` failures.

In an in-Chromium build in the official configuration in Release mode, `CHECK()` does not print its condition or streamed messages. In that case, this macro uses an empty regex pattern when calling `EXPECT_DEATH()` to avoid looking for any particular output on the standard error stream. In other build configurations, the regex pattern is left intact.